# dmxsync.h File Reference

Go to the source code of this file.

## Functions

void | dmxSyncActivate (const char *interval)
void | dmxSyncInit (void)
void | dmxSync (DMXScreenInfo *dmxScreen, Bool now)

## Detailed Description

Interface for sync support.

See also:
  dmxsync.c

## Function Documentation

void dmxSync | ( | DMXScreenInfo * | dmxScreen,
|  | Bool | now
| ) |

Request an XSync() to the display used by dmxScreen. If now is TRUE, call XSync() immediately instead of waiting for the next XSync() batching point. Note that if XSync() batching was deselected with dmxSyncActivate() before dmxSyncInit() was called, then no XSync() batching is performed and this function always calles XSync() immediately.

(Note that this function uses TimerSet but works correctly in the face of a server generation. See the source for details.)

If dmxScreen is NULL, then all pending syncs will be flushed immediately.

void dmxSyncActivate | ( | const char * | interval | ) |

Request the XSync() batching optimization with the specified interval (in mS). If the interval is 0, 100mS is used. If the interval is less than 0, then the XSync() batching optimization is not requested (e.g., so the -syncbatch -1 command line option can turn off the default 100mS XSync() batching).

Note that the parameter to this routine is a string, since it will usually be called from ddxProcessArgument in #dmxinit.c

void dmxSyncInit | ( | void |  | ) |

| Initialize the XSync() batching optimization, but only if dmxSyncActivate was last called with a non-negative value.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>